Bug 1301902 - [RFE] remove log collector as mandatory dependency
[RFE] remove log collector as mandatory dependency
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Setup.Engine (Show other bugs)
3.6.1
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-3.6.3
: 3.6.3.1
Assigned To: Yedidyah Bar David
Gonza
: FutureFeature
Depends On: 1103876
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-26 05:21 EST by Yedidyah Bar David
Modified: 2017-01-10 10:26 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 1103876
Environment:
Last Closed: 2016-03-11 02:23:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑3.6.z+
ylavi: exception+
ylavi: planning_ack+
sbonazzo: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 30051 None None None 2016-01-26 05:21 EST
oVirt gerrit 30052 None None None 2016-01-26 05:21 EST
oVirt gerrit 30053 None None None 2016-01-26 05:21 EST
oVirt gerrit 30058 None None None 2016-01-26 05:21 EST
oVirt gerrit 52744 master MERGED packaging: setup: Do not require ovirt-log-collector 2016-01-26 07:20 EST
oVirt gerrit 52745 ovirt-engine-3.6 MERGED packaging: setup: Do not require ovirt-log-collector 2016-01-28 04:50 EST
oVirt gerrit 52841 ovirt-engine-3.6.3 MERGED packaging: setup: Do not require ovirt-log-collector 2016-02-02 04:16 EST

  None (edit)
Description Yedidyah Bar David 2016-01-26 05:21:28 EST
+++ This bug was initially created as a clone of Bug #1103876 +++

I already suggested this several times within mailing list. Escalating now.

Please remove the log collector as mandatory dependency of engine. This support package was design for commercial support, I am not aware of single inside where at community it was used.

It pulls the sos dependencies and we see that it has conflicts and issues we do not need to manage at this point.

Installing this as explicitly should be still supported where possible.

Thanks.

--- Additional comment from Sandro Bonazzola on 2014-06-27 11:56:23 IDT ---

re-targeting to 3.6.0 as this is a RFE, not for zstream and 3.5 is already in feature freeze.

--- Additional comment from Alon Bar-Lev on 2014-06-27 12:09:08 IDT ---

(In reply to Sandro Bonazzola from comment #1)
> re-targeting to 3.6.0 as this is a RFE, not for zstream and 3.5 is already
> in feature freeze.

this has nothing to do with any freeze.
we should have removed this dependencies long ago.
nobody use it, and it only creates compatibility issues.

--- Additional comment from Sandro Bonazzola on 2014-07-15 09:05:18 IDT ---

re-targeting to 3.4.3 as per original request.

--- Additional comment from Sandro Bonazzola on 2014-07-18 12:37:30 IDT ---

This is an automated message

oVirt 3.4.3 has been released:
 * should fix your issue
 * should be available at your local mirror within two days.

If problems still persist, please make note of it in this bug report.
Comment 1 Yedidyah Bar David 2016-01-26 05:23:20 EST
Caused by [1], the fix for bug 1286558.

[1] https://gerrit.ovirt.org/49106
Comment 2 Red Hat Bugzilla Rules Engine 2016-01-28 02:45:03 EST
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.
Comment 3 Gonza 2016-02-25 04:34:51 EST
Verified with:
ovirt-engine-3.6.4-0.0.master.20160224173838.git1fcb5b6.el6.noarch

After installation of ovirt-engine there is no engine-log-collector command available.

Note You need to log in before you can comment on or make changes to this bug.